## org.eclipse.ocl.types.operations
Class CollectionTypeOperations

    java.lang.Object
      org.eclipse.ocl.types.operations.CollectionTypeOperations

Direct Known Subclasses:
  BagTypeOperations, OrderedSetTypeOperations, SequenceTypeOperations, SetTypeOperations

    public class CollectionTypeOperations

extends Object

A static utility class that provides operations related to 'Collection Type' model objects.

The following operations are supported:

- `Get Name`
- `Ocl Operations`
- `Check Collection Type Name`
- `Check No Invalid Values`
- `Ocl Iterators`

Constructor Summary
`protected` `CollectionTypeOperations()`

Method Summary

`static

`<C,O> boolean`

`

`checkCollectionTypeName(CollectionType<C,O> collectionType, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.name = 'Collection(' + self.elementType.name + ')'

`static

`<C,O> boolean`

`

`checkNoInvalidValues(CollectionType<C,O> collectionType, DiagnosticChain diagnostics, Map<Object,Object> context)`
self->forAll(not oclIsInvalid())

`static

`<C,O> String`

`

`getName(CollectionType<C,O> collectionType)`

`static

`<C,O> EList<O>`

`

`oclIterators(CollectionType<C,O> collectionType)`

`static

`<C,O> EList<O>`

`

`oclOperations(CollectionType<C,O> collectionType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionTypeOperations

    protected CollectionTypeOperations()

Method Detail

### getName

    public static <C,O> String getName(CollectionType<C,O> collectionType)

  Since:
    1.3

### oclOperations

    public static <C,O> EList<O> oclOperations(CollectionType<C,O> collectionType)

  Since:
    1.3

### checkCollectionTypeName

    public static <C,O> boolean checkCollectionTypeName(CollectionType<C,O> collectionType,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  self.name = 'Collection(' + self.elementType.name + ')'

  Parameters:
    `collectionType` - The receiving 'Collection Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkNoInvalidValues

    public static <C,O> boolean checkNoInvalidValues(CollectionType<C,O> collectionType,
                                                     DiagnosticChain diagnostics,
                                                     Map<Object,Object> context)

  self->forAll(not oclIsInvalid())

  Parameters:
    `collectionType` - The receiving 'Collection Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### oclIterators

    public static <C,O> EList<O> oclIterators(CollectionType<C,O> collectionType)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.